package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc用户历史对象 cmc_user_history
 *
 * @author cmc
 * @date 2024-02-28
 */
public class CmcUserHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 历史id */
    private Integer historyId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 技术职称（0正高、1副高、2中级、3助工、4注测、5注规、6注岩、7注安、8注会） */
    @Excel(name = "技术职称", readConverterExp = "0=正高、1=副高、2=中级、3=助工、4=注测、5=注规、6=注岩、7=注安、8=注会")
    private String titiles;

    /** 项目经理级别（0一、1二、2三） */
    @Excel(name = "项目经理级别", readConverterExp = "0=一、1=二、2=三")
    private String pmLevel;

    /** 工程师岗级（0一、1二、2三、3四、4五、5六） */
    @Excel(name = "工程师岗级", readConverterExp = "0=一、1=二、2=三、3=四、4=五、5=六")
    private String engineerLevel;

    /** 岗级（0一、1二、2三、3四、4五、5六、6七、7八） */
    @Excel(name = "岗级", readConverterExp = "0=一、1=二、2=三、3=四、4=五、5=六、6=七、7=八")
    private String postLevel;

    /** 薪档（0一、1二、2三、3四、4五、5六、6七、7八） */
    @Excel(name = "薪档", readConverterExp = "0=一、1=二、2=三、3=四、4=五、5=六、6=七、7=八")
    private String salaryLevel;

    /** 更新原因（0误录修改、1正常调整） */
    @Excel(name = "更新原因", readConverterExp = "0=误录修改、1=正常调整")
    private String updateReason;

    public void setHistoryId(Integer historyId)
    {
        this.historyId = historyId;
    }

    public Integer getHistoryId()
    {
        return historyId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setTitiles(String titiles)
    {
        this.titiles = titiles;
    }

    public String getTitiles()
    {
        return titiles;
    }
    public void setPmLevel(String pmLevel)
    {
        this.pmLevel = pmLevel;
    }

    public String getPmLevel()
    {
        return pmLevel;
    }
    public void setEngineerLevel(String engineerLevel)
    {
        this.engineerLevel = engineerLevel;
    }

    public String getEngineerLevel()
    {
        return engineerLevel;
    }
    public void setPostLevel(String postLevel) { this.postLevel = postLevel; }

    public String getPostLevel()
    {
        return postLevel;
    }
    public void setSalaryLevel(String salaryLevel)
    {
        this.salaryLevel = salaryLevel;
    }

    public String getSalaryLevel()
    {
        return salaryLevel;
    }
    public void setUpdateReason(String updateReason)
    {
        this.updateReason = updateReason;
    }

    public String getUpdateReason()
    {
        return updateReason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("historyId", getHistoryId())
                .append("userId", getUserId())
                .append("titiles", getTitiles())
                .append("pmLevel", getPmLevel())
                .append("engineerLevel", getEngineerLevel())
                .append("postLevel", getPostLevel())
                .append("salaryLevel", getSalaryLevel())
                .append("updateTime", getUpdateTime())
                .append("updateReason", getUpdateReason())
                .toString();
    }
}
